Visually separate personal collection and suggestions
Closed, ResolvedPublic1 Story Points

Description

As shown in

santhosh created this task.Nov 3 2015, 11:41 PM
santhosh updated the task description. (Show Details)
santhosh raised the priority of this task from to Normal.
santhosh claimed this task.
santhosh added a subscriber: santhosh.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 3 2015, 11:41 PM

Change 250860 had a related patch set uploaded (by Santhosh):
Suggestions: Visually group the non-personal suggestions

https://gerrit.wikimedia.org/r/250860

Change 250860 merged by jenkins-bot:
Suggestions: Visually group the non-personal suggestions

https://gerrit.wikimedia.org/r/250860

Just to clarify, in the mockup you can see:

  • "For later" list. This includes items the user explicitly added to the list. we can consider this a personal collection.
  • Suggestions list which includes individual suggestions (e.g., "Golden Toad") and some suggested list ("Wiki loves science"). None of those is created by the user. Thus, they are not personal collections. Users may be able to add these suggested items to their personal collection ("for later" or other lists) but we are not supporting this yet.

I guess the ticket is referred to suggested lists (or campaigns), not personal collections.

Amire80 set Security to None.
santhosh moved this task from Backlog to In Review on the LE-CX7-Sprint 3 board.Nov 4 2015, 6:37 PM
santhosh edited a custom field.
Amire80 moved this task from Backlog to CX7 on the ContentTranslation board.Nov 5 2015, 7:58 AM
santhosh moved this task from In Review to QA on the LE-CX7-Sprint 3 board.Nov 24 2015, 9:16 AM
Arrbee added a subscriber: Arrbee.Nov 27 2015, 1:02 PM

One minor difference observed from the original design - the list items begin immediately after 'More suggestion' label, whereas in the design there are a couple of other suggestions below the label followed by list items and then another set after the 'View all'. Any opinion @Pginer-WMF ? Thanks.

Any opinion @Pginer-WMF ?

Thanks @Arrbee for pointing at this.

The main design intent is to have a single section of suggestions where users can find both individual articles and also other suggestions grouped together (into a campaign).

The specific order in which those suggestions appear is not something to worry much about for now (since users can discard and suggestions have always certain degree of randomness). There are some principles to make the list of suggestions easier to process and understand; we could try to encourage such as avoiding multiple lists being shown at the same time or starting with individual items. But that should not be a blocker for this ticket.

If we observe that showing campaigns on top is problematic (e.g., a user thinks that all suggestions are about "Villages in the Kutch district" and ignores the rest of the list missing the opportunity to translate the Yellowstone article), then we should do some adjustments in that regard. But for now, those are just some hypothesis to pay attention to as users make use of suggestions.

Okay, thanks @Pginer-WMF. Marking this as verified.

Arrbee moved this task from QA to Done on the LE-CX7-Sprint 3 board.Nov 27 2015, 1:35 PM
Arrbee closed this task as Resolved.Dec 1 2015, 6:52 AM